SYSLOGD(8)

NAME
syslogd - log systems messages

SYNOPSIS
syslogd [-d] [-f config_file] [-m mark_interval] [-p log_socket] [-s]

DESCRIPTION
syslogd reads and logs messages to the system console, log files, other machines and/or users as specified by its configuration file. The options are as follows:

-d  Enable debugging to the standard output, and do not disassociate from the controlling terminal.

-f  Specify the pathname of an alternative configuration file; the default is /etc/syslog.conf.

-m  Select the number of minutes between ``mark'' messages; the default is 20 minutes.

-s  Select ``secure'' mode, in which syslogd does not open a UDP socket but only communicates over a UNIX domain socket. This is valuable when the machine on which syslogd runs is subject to attack over the network and it is desired that the machine be protected from attempts to remotely fill logs and similar attacks.

-p  Specify the pathname of an alternative log socket; the default is /dev/log.

syslogd reads its configuration file when it starts up and whenever it receives a hangup signal. For information on the format of the configuration file, see syslog.conf(5).

syslogd reads messages from the UNIX domain socket /dev/log, from an Internet domain socket specified in /etc/services, and from the special device /dev/klog (to read kernel messages).

syslogd creates the file /var/run/syslog.pid, and stores its process id there. This can be used to kill or reconfigure.

The message sent to syslogd should consist of a single line. The message can contain a priority code, which should be a preceding decimal number in angle braces, for example, ‘<5.>’ This priority code should map into the priorities defined in the include file <sys/syslog.h>.

FILES
/etc/syslog.conf
    The configuration file.
/var/run/syslog.pid
    The process id of current.
/dev/log
    Name of the UNIX domain datagram log socket.
/dev/klog
    The kernel log device.

SEE ALSO
logger(1), syslog(3), services(5), syslog.conf(5)

HISTORY
The syslogd command appeared in 4.3BSD.